*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.container{
    width: 100%;
    /* min-height: 100vw; */
    min-height: 100vh;
    min-height: 100dvh; /* dynamic veiw height */
    padding: 10px 10px;
    overflow: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgb(37, 55, 88);

    /* border: red 4px solid; */
}
.loadingAnimation{
    box-shadow: 0 0 15px 5px rgba(255, 255, 255, 0.7) inset;
}


.content-container{
    min-width: 65vw;
    /* width: 65vw; */
    max-width: 80vw;
    /* min-height: 70vh; */
    /* max-height: 80vh; */
    padding: 1rem;
    background-color: gray;
    border-radius: 1rem;
    box-shadow: rgb(1, 124, 255) 0px 30px 40px -10px;

    animation: box-shadow 2s ease-in-out infinite alternate;
    /* border: red 5px solid; */
}
@keyframes box-shadow {
    0%{
       box-shadow: rgb(1, 124, 255) 0px 30px 40px -10px;

    }
    100%{
        box-shadow: rgb(1, 124, 255) 10px 2px 300px  5px;

    }
}
.errorShadow{
    animation: none;
    box-shadow: red 10px 2px 300px  5px ;

    /* border: green 10px solid; */
}


.main-heading{
    font-size: 2em;
}

#input-form{
    display: flex;
    flex-direction: column;
    gap: 0.6rem;

    /* border: orange 3px solid; */
}

#input-label{
    font-size: 1.1rem;
    font-weight: 600;
    color: white;
}

#leetcode-Username{
    background-color: rgb(230, 217, 217);
    border-radius: 0.4rem;
    padding: 0.2em 0.5em;
}

#leetcode-Username::placeholder{
    color: gray;
}

#search-button{
    background-color: rgb(30, 160, 246);
    border: 1px solid black;
    border-radius: 0.4rem;
    font-weight: 600;
    color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

#search-button.forHover:hover{
    background-color: rgba(0, 0, 255, 0.489) !important;
}

.searchCircle{
    height: 20px;
    width: 20px;
    border: white 4px solid;
    border-top-color: blue;
    border-radius: 50%;
    box-sizing: border-box;
    
    animation: blue-border-rotate 0.6s linear infinite;
}
@keyframes  blue-border-rotate {
    0%{
        /* border-top: blue 4px dotted; */
        transform: rotate(0deg);
    }
    100%{
        /* border-left: blue 4px dotted; */
        transform: rotate(360deg);
    }
}
.hidden{
    display: none;  /* remove this in try section and add in finally section */
}


.analytics-section{
    display: flex;
    flex-direction: column;
    color: rgb(244, 203, 126);
    font-weight: 600;       /*to apply CSS when the code enters catch state while API fetch */
    padding-top: 10px;

    /* border: rgb(10, 52, 10) 4px solid; */
}
.circleBox{
    padding: 1rem;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    padding: 1rem;

    /* border: yellow 2px solid; */
}
.anlaytics-circle{
    display: flex;
    justify-content: center;
    align-items: center; /*to put the text(easy, med, ...) in center*/
    border: green 2px solid;
    border-radius: 50%;

    width: 6rem;
    height: 6rem;
    margin: 0.4rem;
    position: relative; /* so that the text inside will have a referene for applying position */

    background: conic-gradient(green var(--percent, 0%), rgb(2, 34, 2) 0%);

}

.category-text{
    font-size: 0.7rem;
    font-weight: 500;
    color: wheat;
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;

    /* border: red 1px solid; */
}


.cardBox{
    font-size: 1rem;
    font-weight: 400;
    color: black;
    font-weight: 600;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 10px;

    /* border: red solid 3px; */
}
.cardText{ /*will create this in javascript */
    padding: 15px;
    background-color: wheat;
    border-radius: 0.5em;
    width: 250px;
    max-width: 300px;
}

/* #introText{
    border: green 3px solid;
    
} */
#nomanLink{
    text-decoration: none;
    color: blue;
}
#nomanLink:hover{
    text-decoration-line: underline;
    font-weight: 700;
}
#logo{
    width: 1rem;
    height: 1rem;
    overflow: hidden;
    display: inline-block;
    border-radius: 30%;

    border-top: blue 1.5px solid;
    /* border-top-style:double; */
    
    animation: highlight 2s linear infinite;
}
#logoImage{
    width: 100%;
    height: 100%;
    object-fit: fill;
    display: flex;
    align-self: center;
    animation: highlight 2s linear infinite reverse; /* reverse, so img doesnt rotate with logo box */

}
@keyframes highlight {
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}